package com.smcic.api.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
@TableName("menu_module")
public class MenuModule implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "module_id", type = IdType.AUTO)
    private Long moduleId;

    private String name;

    private Long pid;

    private String level;

    private String status;

    private String router;

    /**
     * 1.客户端栏目，2.cms管理端栏目
     */
    private Integer type;

    /**
     * 1. 展示菜单 2.隐藏菜单
     * */
    private Integer displayed;


    @TableField(exist = false)
    private List<MenuModule> children;


}
