package com.smcic.api.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Getter
@Setter
public class Users implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "user_id", type = IdType.AUTO)
    private Long userId;

    private Long regionId;

    private Long organId;

    private String name;

    private String phone;

    private String password;

    private String info;

    private String photo;

    /**
     * 职位
     */
    private String position;

    /**
     * 履历
     */
    private String resume;

    /**
     * 国省厅处
     */
    private String level;

    private Long roleId;

    @TableField(exist = false)
    private UserRole userRole;


}
