cd `dirname $0`
git reset HEAD --hard
git pull
mvn clean package -DskipTests=true

version=$(date +%s)
docker build -t registry.cn-chengdu.aliyuncs.com/cxzx-spider/neican:$version .
docker push registry.cn-chengdu.aliyuncs.com/cxzx-spider/neican:$version
sed -i "s!{ { image } }!registry\.cn-chengdu\.aliyuncs\.com/cxzx-spider/neican:$version!g" neican.yml

kubectl apply -f neican.yml
